<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__gpio__interrupt_trigger" kind="group">
    <compoundname>group_gpio_interruptTrigger</compoundname>
    <title>Interrupt trigger type</title>
      <sectiondef kind="define">
      <memberdef id="group__group__gpio__interrupt_trigger_1gae6a68c08c03a67dea6f278c955994c2b" kind="define" prot="public" static="no">
        <name>CY_GPIO_INTR_DISABLE</name>
        <initializer>(0x00UL)</initializer>
        <briefdescription>
<para>Disable the pin interrupt generation. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="472" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="472" />
      </memberdef>
      <memberdef id="group__group__gpio__interrupt_trigger_1gafbaa3f5dff9b5689cdb43bb07c7c6fef" kind="define" prot="public" static="no">
        <name>CY_GPIO_INTR_RISING</name>
        <initializer>(0x01UL)</initializer>
        <briefdescription>
<para>Rising-Edge interrupt. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="473" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="473" />
      </memberdef>
      <memberdef id="group__group__gpio__interrupt_trigger_1ga2b72e6abd555cceea2baa9f62eac5ed4" kind="define" prot="public" static="no">
        <name>CY_GPIO_INTR_FALLING</name>
        <initializer>(0x02UL)</initializer>
        <briefdescription>
<para>Falling-Edge interrupt. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="474" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="474" />
      </memberdef>
      <memberdef id="group__group__gpio__interrupt_trigger_1gae4d31d61d1a3ff30828aa3c93c4b5fb5" kind="define" prot="public" static="no">
        <name>CY_GPIO_INTR_BOTH</name>
        <initializer>(0x03UL)</initializer>
        <briefdescription>
<para>Both-Edge interrupt. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="475" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="475" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Constants to be used for setting the interrupt trigger type on the pin. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>